Cantera 2.6.0

Public Types | Public Member Functions | Private Attributes | List of all members
AnyMap::OrderedProxy Class Reference

Proxy for iterating over an AnyMap in the defined output ordering. More...

`#include <AnyMap.h>`

Collaboration diagram for AnyMap::OrderedProxy:
[legend]

## Public Types
typedef std::vector< std::pair< std::pair< int, int >, const std::pair< const std::string, AnyValue > * > > | OrderVector

## Public Member Functions
| OrderedProxy (const AnyMap &data)
OrderedIterator | begin () const
OrderedIterator | end () const

## Private Attributes
const AnyMap * | m_data
OrderVector | m_ordered
std::unique_ptr< std::pair< const std::string, AnyValue > > | m_units

## Detailed Description

Proxy for iterating over an AnyMap in the defined output ordering.

See ordered().

Definition at line 544 of file AnyMap.h.

## Member Typedef Documentation

## ◆ OrderVector

typedef std::vector<std::pair< std::pair<int, int>, const std::pair<const std::string, AnyValue>*> > OrderVector

Definition at line 553 of file AnyMap.h.

## Constructor & Destructor Documentation

## ◆ OrderedProxy() [1/2]

OrderedProxy | ( |  | ) |
| inline

Definition at line 546 of file AnyMap.h.

## ◆ OrderedProxy() [2/2]

OrderedProxy | ( | const AnyMap & | data | ) |

Definition at line 1559 of file AnyMap.cpp.

## Member Function Documentation

## ◆ begin()

AnyMap::OrderedIterator begin | ( |  | ) | const

Definition at line 1624 of file AnyMap.cpp.

## ◆ end()

AnyMap::OrderedIterator end | ( |  | ) | const

Definition at line 1629 of file AnyMap.cpp.

## Member Data Documentation

## ◆ m_data

const AnyMap* m_data
| private

Definition at line 555 of file AnyMap.h.

## ◆ m_ordered

OrderVector m_ordered
| private

Definition at line 556 of file AnyMap.h.

## ◆ m_units

std::unique_ptr<std::pair<const std::string, AnyValue> > m_units
| private

Definition at line 557 of file AnyMap.h.

The documentation for this class was generated from the following files:

- AnyMap.h
- AnyMap.cpp